## lightmeter 0.1.1-1

=== debian/changelog ===
lightmeter (0.1.1-1) unstable; urgency=low

  * Fixed store settings bug
  * Added Olympus OM10 and Zuiko Auto-S 50mm (thanks to das_schlumpfie)
  * Added about dialog

 -- Marcello V. Mansueto <marcello.m@yahoo.com>  Thu, 25 Jun 2010 22:30:00 +0100

lightmeter (0.1-1) unstable; urgency=low

  * Initial release

 -- Marcello V. Mansueto <marcello.m@yahoo.com>  Thu, 24 Jun 2010 19:30:00 +0100

## lightmeter 1.0-1

=== Makefile ===
all:		a

a:		
	echo "hey"

clean:	
		echo "clean"

## lightmeter 0.1.2-1

=== debian/changelog ===
lightmeter (0.1.2-1) unstable; urgency=low

  * Added more cameras and lenses (thanks to helex, ndi, MaDless, PipoXtreme, JohnLF)

 -- Marcello V. Mansueto <marcello.m@yahoo.com>  Thu, 29 Jun 2010 15:30:00 +0100

=== debian/control ===
Source: lightmeter
Section: user/utilities
Priority: extra
Maintainer: Marcello V. Mansueto <marcello.m@yahoo.com>
Build-Depends: debhelper (>= 5), libqt4-dev (>= 4.6.2~git20100224-0maemo1+0m5)
Standards-Version: 3.7.2
Homepage: http://talk.maemo.org/showthread.php?t=56208

Package: lightmeter
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Light Meter
 Light Meter
XB-Maemo-Display-Name: Light Meter
XB-Maemo-Upgrade-Description: Light Meter
 Light Meter
XSBC-Bugtracker: http://talk.maemo.org/showthread.php?t=56208

Package: lightmeter-dbg
Section: devel
Architecture: any
Depends: lightmeter (= ${binary:Version})
Description: Debug symbols for Light Meter
 Debug symbols for Light Meter application, which allow
 tracing and debugging

## lightmeter 0.1.3-1

=== debian/changelog ===
lightmeter (0.1.3-1) unstable; urgency=low

  * Added more cameras and lenses
  * User configuration reset if error detected

 -- Marcello V. Mansueto <marcello.m@yahoo.com>  Thu, 03 Jul 2010 13:00:00 +0100

## lightmeter 0.1.4-1

=== debian/changelog ===
lightmeter (0.1.4-1) unstable; urgency=low

  * User configuration reset if error detected (again...)

 -- Marcello V. Mansueto <marcello.m@yahoo.com>  Thu, 03 Jul 2010 13:30:00 +0100

## lightmeter 1.0-1

=== debian/changelog ===
lightmeter (1.0-1) stable; urgency=low

  * Prepared Debian package source

 -- Norayr Chilingarian <norayr@arnet.am>  Tue, 3  May 2011 00:47:23 +0500

=== debian/control ===
Source: lightmeter
Section: user/graphics
Priority: optional
Maintainer: Norayr Chilingarian <norayr@arnet.am>
Build-Depends: debhelper (>= 5), binutils, subversion, coreutils, libqt4-dev, tar, libhildon1-dev, libconic0-dev, libqt4pas-dev
Standards-Version: 3.7.2

Package: lightmeter
Architecture: armel
Depends: ${shlibs:Depends}, ${misc:Depends}, libqt4-core, libqt4-dbus, libqt4-gui, libqt4-xml, proximityd, libqt4pas
Description: Photographic light meter calculates aperture and shutter settings for your photocamera
XSBC-Bugtracker: mailto:norayr@arnet.am
XSBC-Maemo-Display-Name: Photographic light meter
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c
 6QAAAAZiS0dEAP8A/wD/oL2nkwAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAd0
 SU1FB9sFAhMsIiT1NtQAAAAdaVRYdENvbW1lbnQAAAAAAENyZWF0ZWQgd2l0
 aCBHSU1QZC5lBwAAGA9JREFUaN5dmXeQnPWZ5z9v7LdzmJxHM0xQmFFglAiS
 ABFtcDibBRYo47q942xwrX0Ybs/GxvZiKHx75T2Bzy7sM8EHd14cWIKJOgMS
 AoFyGkkjaWY0M5rpmc75jffH293ibqq6pqqr++33fcI3/QTdeMOh+qfrJp98
 cpJdu44Sj6fZsGGIyy5biarK+HwaoihgGCaGYWEYJoVCBcMwKJcNksksyWSe
 crnCwkIa07Qol3VEUQAcvF4PlYqBJIl4PAo+n0Y47Ke5OYLf78Xn8+DxKCiK
 XH1JeDwKsiwhCALlss7x41Ps2XOceDzFqlXLGB3tQ3AfQMBxHCoVg/Hxafr6
 2mmIxQA4MT7BM8+8RXd3C4GAhqoqSJJIIOBF01RUVUbTVAIBL8GgF7/fi8fj
 viegABLgAHa1TDampVMum5RKZXK5MoVCkWKxQrlsUqmUKRR0isUypmmRyxVR
 FJn+/nbGxgaJhKOUKwUmJxeYm1tC0I03HUEAx3EbkcuVGB+fZmJijqNHz9Hc
 HGVqaoEtW0bZvn0dHo+Mx6MiiTIOFqlUnkwmT7GoUyiUKJUqGIZFpaJTKhkY
 hoHjOKiqAggoioQoivh8HrxeFVVVCIf9hEI+IpEgnurndEOnVNLRdZ1EIseR
 I2f59NNTiKLI6Ogyhoe7GRjoQDDMNx1BELBt9wGOHp1kfj7J4GAHnZ3NeFQf
 jz3+LMGgjy996XKWlrIcOXKG06fnyOdLNDVFaGmJ0NragNer4vWqaJqKoiio
 qoQkuSMAYFkWjuOOarmsU6nomKbF4mKaVCrP3FwCy7KIRAIMDnYxNNRJKOTD
 43Gvq8gKqXSOiYkZDh06SzpdQDDMt6odgOrvYJoWp0/PsrCQpFjUGR+fZmEh
 RV9fG9FogOXLu+nv7yAYCH9mRMpkc0VKpTK6blEsVjBNE9t2qnsAgiAgSRKa
 pqJpCl6vB5/Pgyx5Abk6YhWSqRTHj09z5swcpmnh93uRJAG/XyMcDtDV1UR3
 VysOFoJpvVXtgF3dA5Onn36VtrYGhoa6aGgIkUxmeeGF/8Mjj9yNzxsCdI6f
 OMenn05w6NAEuVwRTfPQ09NMQ0OIxsYwPp9WXUIRRZGxLPdBUqkcpmmRSOTI
 ZvNMT8fJ5UqIokBPTwtr1vSzdu0AsWgTYGE7Ovl8iWKxTDZbJJHIsmfPMaan
 F3ngga9e3AG3xTbg4FFVbMchm81TKFSIx9P85jd/YdWqXs6cuUAikWFgoJON
 G4cZHe2nsSFa7QSA4a6qY7n/bQfHcRBFERAQRQEBofp5CXDft508Z8/Os2/f
 KQ4fPks2W2RkZBkDAx3EYiEiET9er4dAwIPPG8CyDcpl3X0AcKjuMI5jY9vw
 3HNv1avo9ap88MERbrppExs2DFa7IAA6C/Ekc3NJFhaSZLNFLMvCsh1EQUDT
 1Prc10bIMExkWcQ0bSRRIhj00tQcpq2tgfb2BkTBW712hWQqw8zMIul0nnS6
 QC5XJJ8vIQgC11yzlu7uZvcBbLsGcRc7kUxm8Xo1AgEPsizx5JMv09wcIRTy
 MTUVZ3o6jq4btLU10NPTTEdHE80tEfw+DUWREavzbloWtmWhqioODo4t4DgW
 li1gGBVyuSIXLiSZno4zN5dA1w06Opro728jEgnS2dlAU2MEEClXypSKOolk
 BtuGZctaL3bA3YGLldJ1k2Qyx4cfHuXgwTOUywZer8ott2ymtTVGY2OYYNCL
 gIiDjWXZ6IaJbdlYpoNlOWiazNvv7GNxMc2/+fLWKlC4YyRJAqIEiuLyiihI
 1VGySCTSLC1licfTnDt3gfHx8yxb1sLmzSvp7GjC63Ph13EcZBdBQBBEbNui
 BqlLSxnefns/IyO9fPGLl3PkyDleeuk9RkaWMTOzxLFjk+i6QaFQxjRtLMvC
 th103cA03V2SZYnf//49fD4PjgPRaADTtJAkd7Ft2yYU8mMYJoLgPozX65Ji
 LBZkaKiTrVs2ARbnJqc4sH+C/ftP097ewPbtl7r3fbEDTp3MHMclNkWRUGQP
 R45O8Mc/fkAmU2BgoJ3Bwe7qUqn4/V4URUKWXcxXVRlJErEshyee+N8cPnwW
 gCuvXMUD//GrmJbbLcdxME0Ly7IxTQvTNCkWDSoVnWy2wMTEHIcOnaVcLnPj
 jRu54fr1gIJhlqlUKmiaB0EQECr6G3UeqC1z7eK7dx/j5Zd309YW44orRnjj
 jU+49dZtrF17CblckUrFZVrTrFXewnHcQkxOLvDiizsxTQvbtpEkiW9+8wt1
 UAABVXU1D4h4PC4/SJL7nterIKCRzaX585938de/Hmb58m42b17B+vVDSJKI
 IFQ7YFk2kiRS60StQrlckUgkiOaRyWSL/Pznf8Dn89DcHEUUBRRFrpKSitfr
 qc62iKapHDx4hrff3kel4sKqYZhce+2l3HLLZioVE103sG0b07QplSqUyzq2
 7eqxGtp0tDdy6dgArS0tgMBCfIHz5+OsXLmMCxcSZLNFZEEASXKJzOWBi7rI
 5/Owa9cRxsfPMz+foFjU8XhUtm1b41K7IqIormKUZQnbduoq9MSJKZJJl7Q8
 HrmqYC2i0RCOY6OqSn3cBNziWbaNYZiYhkWhWGF6eoGXXnqfXK7EsmUtDAx0
 sXx5D4IAH310gpdeeg/ZcRxs+yKJCYJLLDU+sG2bq69eQ39/O6+++hEHD55B
 kgRM0xVsyeQSCwtJksl8nQtCIR+lko4kidViuJyQz5f413/dTbFYASCdLqCq
 EpFIgEDAR29vM83NMQIBDZ/Pw5o1/awfG8a0TM6dm+fo0XN0dTXh9XqYno67
 Oqtc+YtTY0zbdvisMnXnGRYX01QqOhMTs+zff4aNG4cRxYsCUJYlAgEfXq+r
 8/1+jb17T/L++4eoVAwCAS+BgJetW0dZv34IQRCwLBvbtkkksmSzJTKZPLlc
 ienpBWRZQlUVNE0lFgsSjQZpaAjR2hqto2Q8nmLfvlMIpfLrTg37bdutuuPY
 iKJbvWKxzOTkApFIAIBMJk9LS4xQyIth2BQK5aoANLBtCAS82LZNOl2oVklA
 lkXy+QqNjSGam6M4jss5tW61tMRQVQnHoQ4MxaKrVjOZIrpukE4XaGuLMjra
 hzs1Tg2F/uJYlktkrlZxW157UssycYnaQRQldu48gGlarF7d75KXblAqVUil
 8uTzJVRVwbYtymWDbLbAhQuJOmuGw378fg1dN8nnXQFYM0SC4HqFWCzkKlTZ
 9Q2KIqEoMo7jVFFKQhSFunqWHQdE0e2Aq9tFBMHdAVkWEUWFUkknk8kzMTHH
 5OQ8588vcubMHB5PkJmZGU6dmmF2dolg0MvgYCfZbIFKxcSybCYn5/H5PPT2
 tmJZtivmBIHp6TiKIjM83EVbW5RIJIQsi2SzJQYG2unvb8fnc7G+UCgTiwXx
 +7W6YhBFCcdxXB5w9bqAbVv1uTZNi9nZJRYW0pw9O8eRI+c4evQcmUyBcDhA
 W1uUdLpIqVRBFAUqFYOGhiCFQoVkMothuDreMAy6upqYm0tiGBaSJBAO+ymX
 K8RiYbxelXg8haZ5UBSR2dkEgiAwMtLHxo3DXHJJO52dTUiSzNzcIu3tDQQC
 Gn6/F0EQXUcGDqWSa7iLxTK7dx/j+effZnY2weBgJ/l8EV13zUkqlScWC7Kw
 kCKbLWAYpiveRIFKxazKgqo+r44duNxSe19RJAIBL6Ioous6muZBkkTa2xtI
 JvNEo34ikRBzc3EaG6OEQl6KxQrbt69jaKgLy7KJRPy0tMQQHOcd5/xMnMXF
 LBcuJPj44xPs3n0Uw7DweBRM06JQKJNOF+rOqlis4DhOHSZr++KCgItk/z8g
 iKJArdPu96Cmw2ryRVEkQiE/mqZimmY9oWhpiTI5OY8kiaxe3c+6dQOsWtXr
 iskdT97nvPzyhwwPdwECZ89eqFbWIp8vUiiU6zqptie1OXSZ1MKyHLxehaam
 CJFIAI9HIRYLEon4kWWZdDpPNlskmy2QyRRJpXJks0Vs28HjkRFFCVG8qIRr
 naoVKBYL0dAQIhj0Uqm4DN7aGnOLddnlKx2vV6W9vZFPPz1JPl+qf/GiTXCr
 raou62qaiixLhMN+enqa68iRSuVJp3Pk86400HWDYrGCIIDX66kuopf29gZa
 W6MsLKSYnU0wN7dENlugXHbFnK6blEp6dQRFbNupCkV39Px+l+hs20H4/M2b
 nHg8zeJiBl03EEVXJNWIpqOjia6uJorFcl0quCPi6pZCoYwsS/XZrsGcC8mQ
 zZaqLkzC79fq3xEEgXDYRzDovlzykuvXcByHmZlFTp+epVAoo6qu6XehVUaW
 RVpaogiXDLQ7um7WR8MwbGKxAP397fT3tzE9Hefo0cm6hlcUl/oFQeDMmQvo
 ukEkEmDlyp46NrtjABcuJEml8miaQqlk0NISYXExU/cEsVgQr9dT34FKRf+M
 zHZoa4sxMrKM+fkkx49PMTW1gGFYKIqMq+FEpHDE/0htmaLREBs2DCHLEolE
 lsOHz2KaNr29rXg8CgsLaXK5Yt2cp1I5hoa6mJ1NEIuFWLmyl8ZGd1abmsKk
 0wVkWaK5OUo+XyQY9GFZNqOjfeRyJVRVpr29AUWRUVU3SnQ7KLK4mCGRyDA5
 uUAmU6ClJcbY2BBer0omU6gbKNnrVYlELpLE4cPnkCSBzs4m1q0bqCvNfftO
 4fHIdHU1kc0WUBQ3obvjjqvZseNl0ukcq1b1VmfWXfL29may2TzvvLMfv18D
 oLk5wvr1g8TjKXw+D93dzViWTbmsY1kOs7OLHD16Dl23WLWqh9nZBIuLGRYW
 0hw/PsXgYCfXXLOWCxeSJJM5xEgkyIULCTKZPH6/l0jEV8Vng4GBDoaHuxkZ
 WUYsFqJcNjh+fLoqwArYtsPy5T10djYhiiKrVi1j9eo+xsYGGRsb5PTpGcpl
 naee+hbRaBBBEBga6mLTpuVYls2aNf2MjQ0yNNTJypW9DAy0s2HDEMPD3Wia
 Qnd3C6VShZGRXkRRIBoNUC7rnDo1QyKRdeV4KOx/ZOXKXtatG2BxMU2hUGbF
 ih6uvXaM/v52WlujNDaGWFrK8PHHJ3jiiX8HwNmzC4ii26lTp2bQNJV77rmB
 UMjNORsaQkxNzXP8+DRzcwnKZYMtW0ZIJLKAwMzMIvfccwN9fe00NoZpaooQ
 jQbx+z3s3XuSQMBHuawzN5cgkchx9dVr6O1tqatUVVXI58tImzateCQeTzE7
 u0R/f1tdw5w4MU2lYjA2NkQo5CcQ0Hjnnf309LQyN7dEOBzg7ruv5fHH/xe6
 bvKTn3yN4aFLEEW7Psejo334fB6CQR+jo310dzejaa6Wv/vu67j00gG8Xk81
 2A3Q0BDCceD559/hsstWYpoWt966lfn5JMeOTbJ162qamsIEAlrVj2uIhUKJ
 O+/czvr1w8zMLBEO+9i0aQX33fcFjh2bpFIxaG2NcfXVa7nvvi/x5z/vIh7P
 8P3v30E0GuDdd37Ge3/9Od3dzTzxs+eoVIyqWnQT6euuG+PWr27DMExef/1j
 7r7rBr7/vTswDIM9e05ULaiC368RjQaoVAwWF9OMjPTywQdHuOyyVYTDfjwe
 lb6+Vvr7Oxge7mFwsJPBwU7EtrZoleF0+vra+MY3vsDy5W507dK6QjDoxev1
 8OB3b+PDD/8b7733XwkG/dx//w6mpuPEYgEOHjzDww8/y8zMYl331Ax+LbYP
 Bv1VLPdz663/yK9//VrVCdbYV2BkZBk7d/4XRkf7CYV83HnnTzlwYILbb7+K
 TZtW0N3dRFdXI729bSxb1oa8YcNyolFXnD344N/w0Ucn+OCDw7S1NbByZQ8r
 VvRUDb8bOgUCvmoE7mfdukEsy8IwTa66ag0nTz7LJ5+MMzOzxPZrLsWyLURR
 ZHJqnhdeeJcnnvj3OJgIOPz2fzyI4zgcOzbJ2rWX1FVwwO/FcUQ+97n/zGOP
 /Vu8mms1N29eRb6QQ5YlCoUyuVyRVEpFPHBgghMnptE0D7/73TscODDBQw/d
 xne+8xVkWeLee3+OYdgIAqTTeRYX01U/m+f8+TiRSBBRdCVyb08boginTs1U
 Q1uXoOLxDMePT1cNvIBlm1x33RjFks5rr32MgFoXdbbj8OGHh9E0D9ddN+ZW
 fvMwlu2q1mg0SHNzhPb2Brq7m5E9HoUzZ2ZRVQlZltm6dXWVVQVmZ5eYnFxg
 584DgMM116yrLii0tMRQFJlTJ2fYuHG4Oio2y5a1kUzmADcuAVBVhcsvX0kk
 4scwq6zvmJw9O8PY2CBgVgNdh4WFFH/4wy4effRrdHQ0YtlG/eFqLC9JIsGg
 z2Xkffv/u3P48DmuvHKEfL7IDTf8A3/84yP097eRy5VobAxz8uQsv/nNa+zY
 cX9d9ziOw29/+waDg51s3ryirl9qUfq77+7nlVf2oGkqt912FevWruLgoWP8
 8pev0toa4wc/uIvx8Wna2xsJBr2u+hRFPt47zt/+7aN8/NEvCEd8F5Wp6AZg
 U9NzPPro/+T2269my5YR5NWr+xkd7UMURXK5ItdfP4aum1UJG0YQYOWKHlpa
 YmSzBWKxUH0xv/jFy/n2t3/B6tX99ZuoeYO5uQT33nszPT2tqKqKYRT40Y+e
 46knH+An//gM7767n2u3b8Sy9frNJ1M54vEUDzxwK8GQty6tRUHgr+8dxDBM
 wmE/O3ceYMuWUQRBcHMhx3FYWspSqehYls3TT7/G1i1j2E4Zw7DRvArf+97t
 9Sq7P6jypz/tYmZmiXy+RDDoq+ZKQv163/3ur/D5NH7wg7vQNJVMpsSOJ3/P
 9u1r2bZtTf3mBUHg3OQ899+/g97eNjo7G+pex42VPDz++Is89dS36O9rZ8+e
 HQSDAffUR9dNFhczBPweOjubuPfem9m7d5yJM+f44IOjPPbYC/zTP/0Lum7+
 P2ddhWKO2dkEX//6jaRS+WquevF1/fWX8qc//Ygf//hrvPnmpxSLriS+667r
 +cUvXuHQobNIolwfkfHxabZtW81Pfvw1Tp2eoVAwQABRFEgkF7n55svo7+vC
 sm2aGiOoqsSnn55EfP31vbS3NeOpnqasWzfA66//FL/fx6uv7uHv/u5zFApl
 PtpzyjXRgoAoSLz11n6mphZ4881PuO22Rzl7dh5ZkqrHSjbvv38Ex3aNTKlU
 IZ3Os3x5FyuWb6KjvYFcLl9NAN3Ty08+Ocm+fae45QsPs+XK1QRDKjiuL4lG
 g9x77+exHTeGtx2H06dn+e53f4X8zDNvcMUVq2hsDNUjk6GhbkIhH7pusXfv
 CQ4ePMP0dJyh4TbaOxoRBZFw2D3XjcUCrFs3wCX9vVi2a1RkWaKnp4UvffmH
 CILAtddeyq5dx6hUTL5530MgwFXbNmLZbiiWTJSZn0/w4gs/5MDBcfbuPVXv
 TK3rtQzKsmxkWeKVV/YQDgcQ3t35M6emEh944FdcccUIb731Cf/y+0fIZHNs
 2/Ydnn/+H5icXODkyfP8p4fuxLAqKJICeMhmExw8NMGWK9di2UZ9ByRRYimR
 qSYQGqbpBrfHjk2xZk1/Hc1clq7w0EO/5IYbNrF//0k2bVrOjTduqPtwN0go
 8+tf/4U9e47zyCN3Ewq5MCpu2TLK1q2jpNMF/H4P3/gPdxCPp0mmMjQ2tDAw
 0Mn8fJJkMovHIwM2ouCysmUX8Ac0Lr98BNsxqkmeezqpGwaRiA+fT8O2Hcpl
 HcNwR7SWYNT2KRBQ+fa3v8LRo2e48ooRbrh+ff3mazvl82nIskRnZxOKIhOP
 p7lwIYFc0yCXXNLG3//9Vzg9Mc7QUBctze0Uikkuu2wFL764k46OJh588G8w
 rYtVrrXWzVArlEo6lmXWo0DDsKgdnlQqOiDUI3xRFAiFfHUJ0d/fzsPfvwcw
 MC2LKlx8BtXS7N9/in/+529y/PgUd9zxU3bsuM+NFt3zLJmVK3p59rm3+PrX
 b+SNN99nejpOKOTnuWd/CNg4uImBa+cgHk8xM7PI+fNurpTJFIjHU6RSebLZ
 AjWvLQgQiQSJRv3EYkGam2M0NYXo6mqmu7uZxsYIxWIJTavUzxk0Tf0MZMv8
 7nfvctNNGwkG/NiWw+c/v4mtW9cgl8sVfD7NjVGwCAY1Hn74t9x113ZuuWUz
 TU0RDLNIPJ7CcdxkbvfuY+zceYDZ2SWyWTc9rh3u1YIt92C7FlwJn8mWqNpU
 GU2TiUZDtLXFuPHG9dx000Y0Ta2fEnm9KpIkYlom6XSOb33ryyzEUzz2+Is8
 /fR30DSF/wst0n/pBjzfAwAAAABJRU5ErkJggg==

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	#$(MAKE)
	sh createcompiler.sh
	sh apply_trx_qtchanges.sh
#	sh install_indy.sh
	sh buildproject.sh
	#docbook-to-man debian/txpad.sgml > txpad.1

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/lightmeter.
	$(MAKE) DESTDIR=$(CURDIR)/debian/lightmeter install
	install -D bin/lightmeter $(CURDIR)/debian/lightmeter/usr/bin/lightmeter

	install -D data/icons/48x48/lightmeter.png $(CURDIR)/debian/lightmeter/usr/share/icons/hicolor/48x48/apps/lightmeter.png

	install -D data/misc/lightmeter.desktop $(CURDIR)/debian/lightmeter/usr/share/applications/hildon/lightmeter.desktop
	install -D data/misc/lightmeter.sudoers $(CURDIR)/debian/lightmeter/etc/sudoers.d/lightmeter.sudoers	


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
#	dh_shlibdeps --dpkg-shlibdeps-params=--ignore-missing-info
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## lightmeter 1.1

=== debian/changelog ===
lightmeter (1.1) unstable; urgency=low

  * version changed to 1.1 to replace another lightmeter package 1.0
    which appeared here by mistake and now renamed as other project

 -- Norayr Chilingarian <norayr@arnet.am>  Mon,  9 May 2011 01:34:28 +0500

=== debian/rules ===
#!/usr/bin/make -f
APPNAME := lightmeter
builddir:
	mkdir -p builddir

builddir/Makefile: builddir
	cd builddir && qmake-qt4 ../$(APPNAME).pro

build: build-stamp

build-stamp: builddir/Makefile
	dh_testdir
	#Add here commands to compile the package.
	cd builddir && $(MAKE)
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	# Add here commands to clean up after the build process.
	rm -rf builddir
	dh_clean
install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/your_appname
	cd builddir && $(MAKE) INSTALL_ROOT=$(CURDIR)/debian/$(APPNAME) install

# Build architecture-independent files here.
binary-indep: build install

# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installexamples
	dh_installman
	dh_link
	dh_strip --dbg-package=lightmeter-dbg
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
